<template>
  <div class="navbar">
    <div class="brand" v-if="!$route.meta.sidebar">DDL</div>
    <div v-else>
      <sidebar-control></sidebar-control>
      <ul class="breadcrumbs">
        <li v-for="item in $store.state.breadcrumbs" :key="item.label">
          <router-link :to="item.route" v-if="item.route">{{ item.label }}</router-link>
        </li>
      </ul>
      <!-- <a :href="githubRepositoryLink" class="github" target="_blank">
        <img src="/github-white.svg" alt="">
      </a> -->
    </div>
  </div>
</template>

<script>
import SidebarControl from '@/components/SidebarControl'

export default {
  components: { SidebarControl },

  data () {
    return {
      githubRepositoryLink: window._config.GITHUB_REPOSITORY_LINK
    }
  }
}
</script>

<style lang="scss" scoped>
.breadcrumbs {
  list-style: none;
  padding: 0;
  margin: 0 0 0 24px;
  display: inline-block;

  li {
    display: inline-block;

    &:not(:last-child) {
      margin-right: 5px;

      &:after {
        content: '/';
        margin-left: 5px;
      }
    }

    a {
      color: #fff;
      font-size: 18px;
      text-decoration: none;
    }
  }
}

.github {
  width: 24px;
  display: inline-block;
  float: right;
  margin-top: 20px;
  margin-right: 20px;

  img {
    width: 100%;
  }
}
</style>
